export function runInZone(zone) {
    var _this = this;
    return new this.constructor(function (sub) {
        var subscription = _this.subscribe(function (value) { return zone.run(function () { return sub.next(value); }); }, function (err) { return zone.run(function () { return sub.error(err); }); }, function () { return zone.run(function () { return sub.complete(); }); });
        return function () { return subscription.unsubscribe(); };
    });
}
//# sourceMappingURL=run-in-zone.js.map